ConfigurationException
Date: 2016-06-25

org.osgi.service.cm

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.osgi.service.cm.ConfigurationException

- All Implemented Interfaces:
    java.io.Serializable

      public class ConfigurationException
      extends java.lang.Exception

  An `Exception` class to inform the Configuration Admin service of problems with configuration data.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationException(java.lang.String property, java.lang.String reason)` Create a `ConfigurationException` object.
    `ConfigurationException(java.lang.String property, java.lang.String reason, java.lang.Throwable cause)` Create a `ConfigurationException` object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()` Returns the cause of this exception or `null` if no cause was set.
    `java.lang.String` | `getProperty()` Return the property name that caused the failure or null.
    `java.lang.String` | `getReason()` Return the reason for this exception.
    `java.lang.Throwable` | `initCause(java.lang.Throwable cause)` Initializes the cause of this exception to the specified value.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationException

          public ConfigurationException(java.lang.String property,
                                java.lang.String reason)

      Create a `ConfigurationException` object.
      Parameters:
        `property` - name of the property that caused the problem, `null` if no specific property was the cause
        `reason` - reason for failure

    - #### ConfigurationException

          public ConfigurationException(java.lang.String property,
                                java.lang.String reason,
                                java.lang.Throwable cause)

      Create a `ConfigurationException` object.
      Parameters:
        `property` - name of the property that caused the problem, `null` if no specific property was the cause
        `reason` - reason for failure
        `cause` - The cause of this exception.
      Since:
        1.2

  - ### Method Detail

    - #### getProperty

          public java.lang.String getProperty()

      Return the property name that caused the failure or null.
      Returns:
        name of property or null if no specific property caused the problem

    - #### getReason

          public java.lang.String getReason()

      Return the reason for this exception.
      Returns:
        reason of the failure

    - #### getCause

          public java.lang.Throwable getCause()

      Returns the cause of this exception or `null` if no cause was set.
      Overrides:
        `getCause` in class `java.lang.Throwable`
      Returns:
        The cause of this exception or `null` if no cause was set.
      Since:
        1.2

    - #### initCause

          public java.lang.Throwable initCause(java.lang.Throwable cause)

      Initializes the cause of this exception to the specified value.
      Overrides:
        `initCause` in class `java.lang.Throwable`
      Parameters:
        `cause` - The cause of this exception.
      Returns:
        This exception.
      Throws:
        `java.lang.IllegalArgumentException` - If the specified cause is this exception.
        `java.lang.IllegalStateException` - If the cause of this exception has already been set.
      Since:
        1.2